> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List backlink gaps

> Returns the sites that link to a competitor and not to the brand. The list is paged with `page` and `page_size`.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/authority/backlink-gaps
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/authority/backlink-gaps:
    get:
      tags:
        - Authority
      summary: List backlink gaps
      description: >-
        Returns the sites that link to a competitor and not to the brand. The
        list is paged with `page` and `page_size`.
      operationId: backlink_gaps
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            minimum: 1
            default: 1
        - in: query
          name: page_size
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BacklinkGapPage'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    BacklinkGapPage:
      type: object
      properties:
        sources:
          type: array
          items:
            $ref: '#/components/schemas/BacklinkGap'
        total:
          type: integer
        page:
          type: integer
        page_size:
          type: integer
        total_pages:
          type: integer
        configured:
          type: boolean
        pending:
          type: boolean
        status:
          $ref: '#/components/schemas/BacklinkGapPageStatusEnum'
        rating_pending:
          type: boolean
        fetched_at:
          type: string
          format: date-time
          nullable: true
        rating_configured:
          type: boolean
      required:
        - configured
        - fetched_at
        - page
        - page_size
        - pending
        - rating_configured
        - rating_pending
        - sources
        - status
        - total
        - total_pages
    BacklinkGap:
      type: object
      properties:
        domain:
          type: string
        competitors:
          type: array
          items:
            type: string
        rating:
          type: integer
          nullable: true
      required:
        - competitors
        - domain
        - rating
    BacklinkGapPageStatusEnum:
      enum:
        - ready
        - pending
        - unavailable
        - not_allowed
        - no_competitors
        - unconfigured
      type: string
      description: |-
        * `ready` - ready
        * `pending` - pending
        * `unavailable` - unavailable
        * `not_allowed` - not_allowed
        * `no_competitors` - no_competitors
        * `unconfigured` - unconfigured
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.